Skip to main content
GET
/
registry
/
actions
/
{action_name}
Error
A valid request URL is required to generate request examples
{
  "name": "<string>",
  "description": "<string>",
  "namespace": "<string>",
  "origin": "<string>",
  "interface": {
    "expects": {},
    "returns": "<unknown>"
  },
  "implementation": {
    "template_action": {
      "definition": {
        "name": "<string>",
        "namespace": "<string>",
        "title": "<string>",
        "display_group": "<string>",
        "expects": {},
        "steps": [
          {
            "ref": "<string>",
            "action": "<string>",
            "args": {}
          }
        ],
        "returns": "<string>",
        "description": "",
        "doc_url": "<string>",
        "author": "<string>",
        "deprecated": "<string>",
        "secrets": [
          {
            "name": "<string>",
            "type": "custom",
            "keys": [
              "<string>"
            ],
            "optional_keys": [
              "<string>"
            ],
            "optional": false,
            "secret_type": "custom"
          }
        ]
      },
      "type": "action"
    },
    "type": "template"
  },
  "repository_id": "<string>",
  "id": "<string>",
  "action": "<string>",
  "is_template": true,
  "secrets": [
    {
      "name": "<string>",
      "type": "custom",
      "keys": [
        "<string>"
      ],
      "optional_keys": [
        "<string>"
      ],
      "optional": false,
      "secret_type": "custom"
    }
  ],
  "default_title": "<string>",
  "display_group": "<string>",
  "doc_url": "<string>",
  "author": "<string>",
  "deprecated": "<string>",
  "options": {
    "include_in_schema": true,
    "requires_approval": false,
    "required_entitlements": [
      "<string>"
    ]
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

action_name
string
required

Response

Successful Response

API read model for a registered action.

name
string
required

The name of the action

Required string length: 1 - 100
description
string
required

The description of the action

Maximum string length: 1000
namespace
string
required

The namespace of the action

type
enum<string>
required

The type of the action

Available options:
udf,
template
origin
string
required

The origin of the action as a url

Required string length: 1 - 1000
interface
RegistryActionInterface · object
required
implementation
RegistryActionTemplateImpl · object
required
repository_id
string<uuid4>
required

The repository id

id
string<uuid4>
required

The registry action id

action
string
required
read-only

The full action identifier.

is_template
boolean
required
read-only

Whether the action is a template.

secrets
(RegistrySecret · object | RegistryOAuthSecret · object)[] | null

The secrets required by the action

default_title
string | null

The default title of the action

Required string length: 1 - 100
display_group
string | null

The presentation group of the action

Required string length: 1 - 100
doc_url
string | null

Link to documentation

Required string length: 1 - 1000
author
string | null

Author of the action

Required string length: 1 - 100
deprecated
string | null

Marks action as deprecated along with message

Required string length: 1 - 1000
options
RegistryActionOptions · object

The options for the action